Subject: Re: [PATCH/RFC] blame: accept multiple -L ranges

From: Thomas Rast <[email-masked]>
Date: Wed, 10 Jul 2013 11:18:26 +0200

Junio C Hamano <[email-masked]> writes:

> Thomas Rast <[email-masked]> writes:
>
>> If you define it that way, the output of
>>
>>   git blame -L 4,6; git blame -L /A/,+20
>>
>> is significantly different from
>>
>>   git blame -L 4,6 -L /A/,+20
>>
>> Not just in the presentation or any possible coalescing, but in the
>> meaning of the ranges.
>>
>> Do you really want to make it that way?
>
> Absolutely.  The primary reason I want to be able to specify two
> ranges at the same time is to follow two functions in a file that
> appear in separate places, and /A/ might not be unique.  When I want
> to say "I want to see from here to there, and then from here to
> there, and then from here to there", it would be very frustrating if
> "and then" resets what I mean by "here" every time and make these
> three evaluated independently.

Ok, fair enough.  That is at least an argument other than "trust me, I
care deeply" :-)

But still, log -L should then be changed to match this behavior (for all
args affecting a single file).  Currently it always does the scan for
the start of the range from line 1 of the file.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch